import { OnInit } from '@angular/core';
import { TabsService } from './tabs.service';
export declare class TabListComponent implements OnInit {
    private tabsService;
    /** @option Tab's anchor role type | 'tablist' */
    role: string;
    private regIsCharacter;
    readonly className: string;
    readonly roleName: string;
    select($event: any): void;
    constructor(tabsService: TabsService);
    ngOnInit(): void;
    isPrintableCharacter: (str: any) => any;
    onPress: (e: any) => void;
}
